Requirements and Components [AutoCAD Network Administrator's Guide: NAG]

Requirements and Components

This guide includes information for installing and configuring AutoCAD® 2002 for Microsoft® Windows® 98, Windows Millennium Edition, Windows 2000, or Windows NT® on a network. This information is intended for network administrators.

Topics in this section:

  • System Requirements
  • Network Installation Components
Comments?


System Requirements [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Requirements and Components
System Requirements

Before you begin installing AutoCAD on a network, make sure that your network, servers, and client workstations meet the minimum recommended requirements for network installation. See the following table for hardware and software requirements.
Hardware and software requirements
Hardware/Software
Requirement
Notes
Server
Operating system
Windows NT® 4.0 Workstation Edition with Service Pack 5.0 (minimum)
Windows 2000 Workstation Edition
The Autodesk License Manager supports Ethernet network configurations only.
Network interface card
Compatible with existing Ethernet network infrastructure
The Autodesk License Manager supports multiple network interface cards.
Communication protocol
TCP/IP
By default, the Autodesk License Manager uses TCP packet types. You can optionally configure UDP packet types.
Client Workstation
Operating system
Windows NT 4.0 with SP 5.0
Windows 98
Windows Millennium Edition (ME)
Windows 2000
It is recommended that you install and run AutoCAD on an operating system in the same language as your version of AutoCAD or on an English version of the operating system.

Windows 2000 users must have Administrator permissions to install AutoCAD. Not assigning these permissions can cause AutoCAD and third-party applications to perform incorrectly. See Windows 2000 Help for information about assigning user permissions.
Processor
Pentium 233 (minimum)
Pentium 450 or higher (recommended)
Equivalent processor

RAM
32 MB (minimum)
64 MB (recommended)

Video
800 x 600 VGA with 256 colors (minimum)
1024 x 768 SVGA with 64 thousand colors (recommended)
Requires a Windows-supported display adapter.
Hard disk
Swap space 64 MB
System folder 60 MB (minimum)
75 MB (recommended)
Shared files 20 MB

Pointing device
Mouse, trackball, or other device

CD-ROM
Any speed (for installation only)

Network interface card
Compatible with the existing network infrastructure
Required for installing and running network versions of AutoCAD.
Optional hardware
Open GL-compatible 3D video card
Printer or plotter
Digitizer
Modem or access to an Internet connection
The OpenGL driver that comes with the 3D graphics card must have the following:
  • Full support of OpenGL or later.
  • An OpenGL Installable Client Driver (ICD). The graphics card must have an ICD in its OpenGL driver software. The "miniGL" driver provided with some cards is not sufficient for use with AutoCAD.
    • Web browser
    Microsoft Internet Explorer 5.0
    Netscape Navigator 4.5 or later
    Internet Explorer 5.5 is installed with AutoCAD.


Network Installation Components [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Requirements and Components
Network Installation Components

You use the following components to set up and manage AutoCAD on a network.

Topics in this section:

  • Network Setup Wizard
  • Autodesk License Manager
  • FLEXlm Tools
  • License Configuration Switcher
  • SAMreport-Lite


Network Setup Wizard [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Installation Components
Network Setup Wizard

The Network Setup wizard guides you through setting up a network deployment of AutoCAD. You can configure a deployment environment so that AutoCAD can be installed and accessed in the following ways:

  • Users can install AutoCAD on their workstations from the network server.
  • AutoCAD can be accessed from a network server by multiple users.
  • Administrators can install AutoCAD on remote client workstations. (You need utilities for managing "push" installations.)

Note: Push installations require third-party software that is not supported by Autodesk.

See Also

Network Configuration Models

Deployment Types

Network Setup


Autodesk License Manager [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Installation Components
Autodesk License Manager

The Autodesk® License Manager (AdLM) provides authorization for clients running AutoCAD on a network. The AdLM also contains tools for network administrators that provide query and tracking capabilities. You install the AdLM using the Network Setup wizard.

See Also

License Management

Configure the License Server

Use the FLEXlm Configuration Tools


FLEXlm Tools [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Installation Components
FLEXlm Tools

The Autodesk License Manager uses FLEXlm® technology from Globetrotter Software to manage network licenses. FLEXlm provides administrative tools that help simplify management of network licenses. You can use FLEXlm tools to monitor network license status, reset licenses lost to a system crash, troubleshoot license servers, and update existing license files on the fly.

See Also

Use the FLEXlm Configuration Tools

FLEXlm User's Guide (located in the Autodesk License Manager\docs folder and on the AutoCAD 2002 CD)


License Configuration Switcher [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Installation Components
License Configuration Switcher

You use the License Configuration Switcher to allow a workstation with AutoCAD installed from a deployment location to use either a network license or a stand-alone license. For example, users running a network license of AutoCAD on a laptop can use the License Configuration Switcher to switch their license configuration to a stand-alone configuration and take work on the road. When they return, they can switch back to a network license configuration. With the License Configuration Switcher, users can still be productive while their computer is detached from the network.

To use the License Configuration Switcher, you must have a valid network license and a valid stand-alone license for the computer you want to use detached from the network.

Note: The License Configuration Switcher works with locked versions of AutoCAD only.

See Also

License Management

Use the License Configuration Switcher

Advertise in AutoCAD 2002

"Changing the AutoCAD Setup" in the AutoCAD 2002 Customization Guide


SAMreport-Lite [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Installation Components
SAMreport-Lite

While not part of the AutoCAD network installation, a version of SAMreport called SAMreport-Lite is available to help you track network license usage. With SAMreport-Lite, you can monitor client usage for all software that uses FLEXlm to manage network licenses.

SAMreport-Lite generates usage reports in a variety of output formats including HTML, text, and Report Interchange Format. For an overview of SAMreport-Lite features and instructions on installing SAMreport-Lite, see the SAMreport-Lite: Getting Started guide. You can find the Getting Started guide on the AutoCAD 2002 CD in \Netsetup\support\AdLM\SAMreport-Lite\SAMLite-StartGuide.chm.

For additional information about SAMreport-Lite, and for updates and fixes for this feature, visit Autodesk Point A at http://pointa.autodesk.com/gotoPointA.jsp?dest=nlmreport.


Network Planning Concepts [AutoCAD Network Administrator's Guide: NAG]

Network Planning Concepts

This section explains concepts related to installing and operating AutoCAD® on a network. This information is intended for network administrators.

Topics in this section:

  • Network Configuration Models
  • Network Installation Configuration
  • License Management
  • Deployment Types


Network Configuration Models [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Planning Concepts
Network Configuration Models

Installing AutoCAD on a network requires careful planning. The type of AutoCAD installation you choose to deploy can differ depending on your network infrastructure and requirements for client use. The network configuration model you choose to implement determines where the components that AutoCAD requires for a network installation are installed in your network environment.

Topics in this section:

  • Overview
  • Single Server Model
  • Distributed Server Model
  • Redundant Server Model


Overview [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Configuration Models
Overview

Before you choose the appropriate network configuration for your users, you must determine how you will deploy AutoCAD. There are two primary types of deployments: client-based (also referred to as a "thick" client) and network-based (also referred to as a "thin" client). See Network Installation Configuration for additional information.

Each deployment type requires two or more of the following components depending on the server model you choose to implement:

  • Autodesk License Manager (AdLM). The program and related files (located on a network share) that AutoCAD uses to control available licenses. A user can only run AutoCAD if a license is available. The ADLM run tree is required for client- and network-based deployments.
  • AutoCAD run tree. A shared network disk resource where AutoCAD is installed. Users can run AutoCAD from this network share. The AutoCAD run tree is required for network-based deployments and is not required for client-based deployments.
  • Deployment location. A shared network resource where a preconfigured AutoCAD setup program resides. A user runs this setup program to install AutoCAD from the network onto the client workstation. A deployment location is required for client- and network-based deployments.

While the type of deployment determines which of these three components are required, the network server model you choose for your installation determines where each component resides on the network. The server model you choose is based on the structure of your network, the number of users, and your performance requirements. It can determine how well AutoCAD performs in your network environment and the length of recovery time in the event of a network problem.

You can store each of the three network components on the same server or on separate servers. You can use a shared installer data tree to implement different types of installations on the same server. See Use a Shared Installer Tree.

Another important aspect of a deployment to consider is data sharing. One of the key benefits of a deployment is that users can share common data. When you plan a deployment, consider the requirements for sharing data and the network resources (such as shared folders) when choosing your deployment type and server model.

AutoCAD supports the following network server models:

  • Single server model
  • Distributed server model
  • Redundant server model


Single Server Model [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Configuration Models
Single Server Model

With the single server model, license management takes place on a single server. A single license file represents the total number of licenses available on the server. Because all license management takes place on a single server, this configuration requires the least amount of maintenance.

To create a deployment using the single server model, run the Network Setup wizard on the server you want to configure.

See Also

Network Installation Configuration

Deployment Types

License Operation and Availability

The Network Setup Wizard


Distributed Server Model [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Configuration Models
Distributed Server Model

With the distributed server model, you place (distribute) the AdLM across more than one server. To create a distributed server pool, you must run the Network Setup wizard on each server that is part of the distributed server network. At a minimum, you must install the ADLM on each server.

Once the network installation is complete, the next step is to install AutoCAD on each workstation. See Client Installation for additional information. The client installation creates a licpath.lic file on the client workstation that identifies which license server the client communicates with to obtain a network license.

The client workstation tries to obtain a network license only from the server that was configured when the Network Setup wizard created the deployment location from which the client was installed.

You can modify the licpath.lic file on the client workstation to access a different server, or automate the process by setting an environment variable on the client workstation to automatically obtain licenses from other servers in the distributed server pool. See the FLEXlm User's Guide (in the Autodesk License Manager\docs folder or on the AutoCAD 2002 CD) for additional information about setting environment variables.

Modifying the licpath.lic file or setting an environment variable is necessary if you want to have license carryover. For example, if you use the default licpath.lic file created during a client installation and the license file on a server has 10 valid licenses, and if all licenses are in use, the eleventh client workstation that tries to obtain a license will be denied, even if another server in the distributed server pool has available licenses. The client tries to obtain a license only from the server defined in the licpath.lic file. If you choose not to modify the licpath.lic file or not to set an environment variable, the AdLM cannot access the available licenses on other servers in the distributed server pool.

This model requires a unique license file for each server.

See Also

Network Installation Configuration

Deployment Types

License Operation and Availability

The Network Setup Wizard

The Options File


Redundant Server Model [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Configuration Models
Redundant Server Model

With the redundant server model, you can use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the primary server fails. Using this configuration, the system continues to monitor and issue licenses as long as at least two servers are functional.

If you use the redundant server model, all servers must reside on the same subnet and have consistent network communications. (Slow, erratic, or dial-up connections are not recommended.) This model does not support the UDP packet type.

To create a redundant server pool, run the Network Setup wizard on the initial server you want to configure, then repeat the ADLM run tree installation for the other two servers. To get proper license authorization, you must obtain the Host ID and server name for each server in the redundant server pool before contacting Autodesk. See Obtain and Set Up a License File for additional information.

Once all client workstations are installed and communicating with the license server, you must modify the licpath.lic file on each client workstation to include server information for each of the three servers. Following is an example of the contents of the licpath.lic file:

SERVER PC54321 210987654321
USE_SERVER

Following is an example of a licpath.lic file modified for a redundant server operation:

SERVER PC54321 210987654321 27005
SERVER PC12345 123456789012 27005
SERVER PC32154 321543210981 27005
USE_SERVER

The redundant server model requires a port number (the default is 27005) for each server.

Note: The port number at the end of each SERVER line must also be included in the license file for the redundant server model only.

The redundant server model requires Windows NT 4.0 Server Edition or Windows 2000 Server Edition. Windows 98, Windows ME, and Windows NT/2000 Workstation editions are not supported.

The redundant server model also requires that separate copies of the same license file, the license manager daemon (lmgrd), and the vendor daemon reside on each server; all are necessary to authenticate and release licenses.

See Also

Network Installation Configuration

Deployment Types

License Operation and Availability


Network Installation Configuration [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Planning Concepts
Network Installation Configuration

The network installation configuration determines whether AutoCAD files reside on each client workstation (thick client) or on a server (thin client).

Installing AutoCAD on each client workstation ensures optimum performance. Installing AutoCAD on the server shares a single copy of the executable files, takes up less disk space on the client workstation, and simplifies the task of installing or upgrading the software. You can combine client and network installations depending on the configuration of your network.

When you run the Network Setup wizard, you must choose your preferred installation configuration from the following options:

  • Client and Autodesk License Manager Installation. Creates a setup.exe file and a deployment folder in a location on the network that you specify. Users run setup.exe to install AutoCAD on their client workstations. The deployment folder named Image contains the files that are installed on the client workstation. You can also install the Autodesk License Manager by selecting this option. Autodesk recommends client-based (thick client) deployments for production users.
  • Network and Autodesk License Manager Installation. Installs the AutoCAD files on a network server. The Network Setup wizard creates a setup.exe file in a location on the network that you specify. This file configures client workstations to run AutoCAD from the server. You can also install the Autodesk License Manager.
  • Autodesk License Manager Installation Only. Installs only the files for the Autodesk License Manager. You can do a complete installation of AutoCAD at another time. The Autodesk License Manager must be installed to run a network version of AutoCAD.

Topics in this section:

  • TCP/IP Packet Types

See Also

Network Setup

Set Up an Advanced Network Configuration


TCP/IP Packet Types [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Installation Configuration
TCP/IP Packet Types

The Autodesk License Manager uses TCP packets by default.

Note: There is a 10-connection TCP/IP limit with Windows NT and Windows 2000 Workstation editions. Each AutoCAD session increments against this ten- connection limit, in addition to other connections that require access via TCP. If you have more than 10 clients that need to access a single license server, use UDP as the default packet type. The Windows NT and Windows 2000 Server editions do not have this limitation.

If you choose to use UDP as your primary packet type, note that AutoCAD does not support the redundant server model with UDP packet transmission. To use UDP packets, you must set the environment variable FLEXLM_COMM_TRANSPORT UDP on each client workstation. See the FLEXlm User's Guide (in the Autodesk License Manager\docs folder and on the AutoCAD 2002 CD) for additional information on setting environment variables.


License Management [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Planning Concepts
License Management

Rather than purchasing a single-user license for every AutoCAD user or workstation, you can purchase a network license for a maximum number of concurrent users, and purchase additional licenses as needed. You can also upgrade from a single-license package to a network-license package.

AutoCAD uses either TCP (default) or UDP packets to communicate with the Autodesk License Manager (AdLM). You can't configure AutoCAD to use both packet types simultaneously. The packet type you use depends on your network environment and the number of clients assigned to a specific server.

Topics in this section:

  • License Operation and Availability
  • The License File
  • License Types and Behaviors
  • The Heartbeat

See Also

Autodesk License Manager

Network Setup


License Operation and Availability [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. License Management
License Operation and Availability

When a user starts AutoCAD, AutoCAD reads the licpath.lic file located on the client workstation to determine which server it should try to obtain a license from. AutoCAD then sends a message to the AdLM server listed in the licpath.lic file through the network protocol and requests a license. If the number of available licenses has not been exceeded, the AdLM assigns a license to the user. The AutoCAD session then starts on the workstation, and the number of available licenses is reduced by one.

Note: If you use environment variables in a distributed or redundant server model environment, these variables take precedence over the settings in the licpath.lic file.

The client and server communicate at regular intervals to keep track of licenses in use and manage license availability.

When a user exits AutoCAD, the AdLM frees a license for another user. Multiple sessions on an individual workstation use only one license. When the last session is closed, the license is freed.

The following three processes direct license management:

  • License manager daemon (lmgrd). Handles the original contact with the application, then passes the connection to the vendor daemon. Lmgrd is used to communicate with the vendor daemon only and does not authenticate or dispense licenses, it passes user requests on to the vendor daemons. By using this approach, a single lmgrd daemon can be used by many different software vendors to provide license authentication. Lmgrd starts and restarts the vendor daemons as needed.
  • Adskflex.exe vendor daemon. Contains the server process that releases licenses. The vendor daemon keeps track of the licenses that are checked out and which clients are using them. Each vendor has a unique vendor daemon to manage vendor-specific licensing. Adskflex.exe is specific to Autodesk products only.

Note: If the vendor daemon terminates for any reason, all users lose their licenses until lmgrd restarts the vendor daemon or the problem causing the termination is resolved.

  • License file. A text file that has vendor-specific license information.

See Also

The License File

License Types and Behaviors

The Heartbeat


The License File [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. License Management
The License File

The license file contains licensing information provided by Autodesk. You obtain license file data when you register AutoCAD.

The license file contains information about network server nodes and vendor daemons, and an encrypted digital signature created when Autodesk generates the license file. The following is an example of the contents of a license file:

SERVER ServerName HostID
USE_SERVER
VENDOR VendorDaemon port=portnumber
INCREMENT IncrementName VendorDaemon Version ExpirationDate
NumberofLicenses \
VENDOR_STRING=UsageType:LicenseBehavior SUPERSEDE
DUP_GROUP=DupGroup \
ISSUED=IssueDate ck= SN=SerialNumber SIGN=

The following table provides a definition for each license file parameter.
Redundant server model network component requirements
Parameter | Definition
ServerName and Host ID | Binds the license to a particular server
VendorDaemon | The name of the server-side Autodesk license daemon
portnumber | Reserved and assigned for use only for Autodesk products running the Autodesk/FLEXlm vendor daemon.
IncrementName | Name of the product
Version | The product release version
ExpirationDate | The amount of time the license is available
NumberofLicenses | Specifies the number of licenses (i.e. seats) to be managed by a particular server or redundant server pool
VENDOR_STRING | Defines the license configuration settings, UsageType and LicenseBehavior
SUPERSEDE | Replace existing lines in a license file that have a date earlier than the defined IssueDate. The Autodesk policy for modifying an existing license is to re-issue the entire license file. Since there can be multiple INCREMENT lines, the SUPERSEDE/ISSUED parameters are used to replace any previous product or feature of the same name.
DupGroup | Defines how the server does or does not handle the sharing of multiple license requests. The default for this behavior is Host, which allows for multiple copies on the same computer to share the same license
IssueDate | The date the license file was generated by Autodesk
ck= | Can be used with the lmcksum utility to help verify that the license information has been entered correctly by the license administrator
SerialNumber | The serial number of the Autodesk product
SIGN= | The encrypted signature used to authenticate the attributes of the license file

Following is an example of a completed license file for a single or distributed server model:

SERVER pc12345 123456789012
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 41100ACD_2002_0F adskflex 1.000 permanent 3 \
VENDOR_STRING=commercial:permanent SUPERSEDE DUP_GROUP=H \
ISSUED=22-jan-2001 ck=231 SN=399-99999999 SIGN=6E88EFA8D44C

Following is an example of a completed license file for a redundant server model:

SERVER PC54321 210987654321 27005
SERVER PC12345 123456789012 27005
SERVER PC32154 321543210981 27005
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 41100ACD_2002_0F adskflex 1.000 permanent 3 \
VENDOR_STRING=commercial:permanent SUPERSEDE DUP_GROUP=H \
ISSUED=22-jan-2001 ck=231 SN=399-99999999 SIGN=6E88EFA8D44C

Note: The redundant server model requires the addition of a port number (the default is 27005) for each server.

The license file is located on a network share that you specify in the Network Setup wizard. The license file is required for using AutoCAD on a network. As a result, the license file must be located on a network share that is accessible to every user that runs AutoCAD from a network installation.

See Also

Obtain and Set Up a License File

Use the FLEXlm Configuration Tools


License Types and Behaviors [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. License Management
License Types and Behaviors

AutoCAD supports dynamic product usage and license behaviors. This means that you can purchase a specific type of behavior with a specific license and change that license at a later date without having to uninstall and reinstall AutoCAD.

License types include Commercial, Not for Resale, and the following:

  • EDU/Institution. A license designed specifically for educational institutions.
  • EMR/Student. A license for students who are using AutoCAD as part of their curriculum.

License behaviors are:

  • Permanent. Enables permanent use of AutoCAD.
  • Term Extendable. Enables access to AutoCAD for a limited period of time. The term can be extended at any time.
  • Term Non-Extendable. Enables AutoCAD for a limited period of time. The term cannot be extended.

You can view license types, behaviors, and expiration information in AutoCAD by choosing Help [image] About.


The Heartbeat [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. License Management
The Heartbeat

When AutoCAD is running, it communicates with the license server at regular intervals using a communication method known as the "heartbeat". If the heartbeat connection is missed, the server tries to reconnect. If it cannot, it sends a message to the user indicating the license error.

Once the user acknowledges the message, AutoCAD starts a 6-minute countdown to give the user time to save his or her work and inform systems management of the problem.

When AutoCAD stops working because it lost a connection to the server, you must shut down AutoCAD and restart the program. If the problem causing the original loss of the heartbeat signal is resolved, and there are available licenses on the server, the program starts working again.

Note: If you are using the redundant server model, this server model also passes heartbeats between redundant servers.


Deployment Types [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Planning Concepts
Deployment Types

With the Network Setup wizard, you can create a deployment image, which contains the files required to install a pre-configured AutoCAD installation on a client workstation. To create a different deployment image, run the Network Setup wizard again. Using this method, you can tailor AutoCAD installations for a variety of user needs.

Deployment images must be located on a network share that is accessible by all client workstations that require AutoCAD.

Part of creating a deployment image is choosing whether the client installation will be silent or interactive. You choose the deployment type in the Network Setup wizard.

Note: Network-based (thin client) deployments are always silent installations.

Topics in this section:

  • Silent Installation
  • Interactive Installation


Silent Installation [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Deployment Types
Silent Installation

With a silent installation, choose the type of installation and the components of AutoCAD that all clients will use. The network administrator enters the serial number, company name, and related information for all clients. Typically this is company-related name and organizational information. During a silent installation to the workstation, a dialog box is displayed that informs users that AutoCAD is updating their systems while the installation is in progress.

Note: If you choose a silent installation, users will not be able to specify the placement of AutoCAD files to their workstations.

See Also

Create a Deployment Image

Configure the License Server

Network Installation Configuration


Interactive Installation [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Deployment Types
Interactive Installation

With an interactive installation, a user at the client workstation chooses the installation type and components of AutoCAD included in the installation. Additionally, the user must enter his or her own personal information.

See Also

Create a Deployment Image

Configure the License Server

Network Installation Configuration


Installation [AutoCAD Network Administrator's Guide: NAG]

Installation

This section includes information for installing and configuring AutoCAD® and the Autodesk License Manager on a network.

Topics in this section:

  • Upgrade to AutoCAD 2002 on a Network
  • Network Setup
  • Configure the License Server
  • Client Installation
  • Uninstall AutoCAD Files on a Network


Upgrade to AutoCAD 2002 on a Network [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Installation
Upgrade to AutoCAD 2002 on a Network

To upgrade an existing network installation, you must first uninstall the existing version of AutoCAD, then install AutoCAD 2002, including network components and all client workstations, following the procedures in Network Setup. To manage network licenses, AutoCAD 2002 uses FLEXlm technology, which differs from the Elan technology used in previous AutoCAD releases. As a result, license management software for AutoCAD 2002 is not compatible with AutoCAD 2000 and 2000i network installations.

Warning! If you chose to upgrade your network installation to AutoCAD 2002 with FLEXlm, you must also upgrade each client workstation. AutoCAD 2002 is not compatible with existing AutoCAD 2000 or 2000i clients.

You can install the license manager (AdLM) for AutoCAD 2002 on the same server as the license manager for AutoCAD 2000, 2000i, or Release 14, but you must install AutoCAD run trees for network-based deployments on different servers. Existing clients must match the network version of the product for proper operation.

See Also

Network Setup


Network Setup [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Installation
Network Setup

This section provides the information that you need to install AutoCAD on a network.

Topics in this section:

  • Plan for a Network Installation
  • The Network Setup Wizard
  • Create a Deployment Image


To plan for a network installation [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Setup
Plan for a Network Installation

Installing AutoCAD on a network requires careful planning. The type of AutoCAD installation you choose to deploy can differ depending on your network infrastructure and requirements for client use.

To plan for a network installation

  1. Make sure that your network, servers, and workstations meet the system requirements. See System Requirements.
  2. Choose a network installation configuration that works best for your users. See Network Installation Configuration.
  3. Create a network share to hold the client deployment image files. Be sure to provide read/write access to all users who will install AutoCAD from this share.
  4. Create an .htm file for use as a Bulletin Board file in the Today window. See Use Configure Today or the "Customize the Today Bulletin Board Template" section of the online Customization Guide for additional information.
  5. Run the Network Setup Wizard to install the network deployment files, the Autodesk License Manager and FLEXlm. See The Network Setup Wizard.
  6. Contact Autodesk to receive a license file. See Obtain and Set Up a License File.
  7. Configure the license server. See Configure the Server.
  8. Inform the users that the network deployment is complete and provide them with instructions. See Client Installation.


The Network Setup Wizard [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Setup
The Network Setup Wizard

With the Network Setup wizard, you install the Autodesk License Manager, and you create a deployment location from which users can either install AutoCAD on their computers or configure their computers to run AutoCAD from a server. You can run the Network Setup wizard as necessary to create varied client deployment images to meet user requirements and company needs. See Use a Shared Installer Tree. The Network Setup wizard is located in the netsetup folder on the AutoCAD 2002 CD.

To run the Network Setup wizard

  1. Insert the AutoCAD 2002 CD into the CD-ROM drive and hold down the SHIFT key to prevent Autorun from starting the stand-alone installation procedure.
  2. From the Start menu, choose Run, enter the CD-ROM drive, the path name, and netsetup. For example, enter d:\netsetup\setup.
  3. On the Network Installation Selection page, choose the install type. Select one of the following installation options, and then choose Next:
  • Client and Autodesk License Manager Installation. Creates a setup.exe file and a deployment folder in a location on the network that you specify. Users run setup.exe to install AutoCAD on their client workstations. The deployment folder named Image contains the files that are installed on the client workstation. You can also install the Autodesk License Manager by selecting this option.
  • Network and Autodesk License Manager Installation. Installs the AutoCAD files on a network server. The Network Setup wizard creates a setup.exe file in a location on the network that you specify. This file configures client workstations to run AutoCAD from the server. You can also install the Autodesk License Manager.
  • Autodesk License Manager Installation Only. Installs only the files for the Autodesk License Manager. You can do a complete installation of AutoCAD at another time. The Autodesk License Manager must be installed to run a network version of AutoCAD.
  4. Refer to the appropriate section of this guide to complete your specified installation.
  • For client or network installation information, see Create a Deployment Image.
  • For information about installing only the Autodesk License Manager, see Install Autodesk License Manager Only.
Display all hidden text on this page. Comments?


Create a Deployment Image [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Network Setup
Create a Deployment Image

If you select Client and Autodesk License Manager Installation or Network and Autodesk License Manager Installation on the Network Installation Selection page, the Network Setup wizard creates a deployment folder below the share on the server (if it doesn't already exist). This folder contains the client deployment image file (setup.exe) that installs AutoCAD on the client workstations and also contains the files that setup.exe installs. With this deployment, a user can install AutoCAD on the client workstation.

If you plan to have more than one type of installation (for example, Typical and Compact) on your network, you must provide a separate client deployment location for each type of installation. See Set Up an Advanced Network Configuration.

To create a deployment image folder

  1. In the Network Setup wizard, on the Network Installation Selection page, select Client and Autodesk License Manager Installation. Choose Next.
  2. On the Autodesk License Manager Installation page under Installation Options, select the type of installation you want for the AdLM from the following options. Choose Next.
  • Install Autodesk License Manager Files Now. Performs the complete AdLM files installation on the server.
  • Install Autodesk License Manager Files Later. Bypasses the AdLM files installation.
  • Install Autodesk License Manager Tools Only. Installs only the AdLM tools for monitoring the licenses.
  • Configure for Single User Without License Manager. Deploys a standalone version of AutoCAD that does not require AdLM and must be individually authorized.

Note: If you select the Configure for Single User without License Manager option, you are prompted to complete product registration information that will be used by all client installations for any future registration or authorization code support. You must enter valid registration information (including the previous valid serial number if this is an upgrade).

  3. If you choose to install the AdLM files or tools, enter the name of the folder that you want to use for the AdLM files in the Location of the AutoDesk License Manager Tools box.

You can accept the default or choose Browse to specify a different location. If you enter a folder name that doesn't exist, the Network Setup wizard creates a new folder using the name and location you provide.

You cannot install the AdLM files on a remote drive. When you install the AdLM files, you must provide a path to a local drive. See Install Autodesk License Manager Only.

  4. On the Installation Folders page, in the Client Deployment Location box, enter the path where you want setup.exe and the Image folder installed. The path must reside on a shared network resource. If you are creating a network-based deployment, you must enter a network deployment location and a shared location for the AutoCAD runtree.

Users access setup.exe in the Client Deployment Location folder to install the client configuration components on their workstations. Setup.exe uses the configuration and application files installed in the Image folder.

You must use the universal naming convention (UNC) when specifying the deployment location. The correct format of a UNC path is \\server\share. You can select an existing share name on your network by choosing Browse.

Warning! The folder name for the Client Deployment Location share name cannot contain spaces. Spaces in the folder name cause an error during the client installation.

  5. On the Installation Folders page, select Client Installations Will Be Run in Silent Mode to install AutoCAD on client workstations without user interaction. Do not select this option if you want the installations to be interactive.

If you don't select Silent mode, when users install on their client machines, they are prompted for installation information.

  6. Choose Advanced on the Installation Folders page to enter a folder for the client workstation log, to create a shared installer tree, or to install the License Configuration Switcher components (locked version only). See Set Up an Advanced Network Configuration.
  7. Choose OK.
  8. Choose Next.
  9. On the Server Configuration page, enter the Server Host Name and Host ID for the license server.

This information will be used to create the licpath.lic file, which resides on the client workstation and identifies the ADLM server the client will obtain a network license from.

For specific information about obtaining the host name and ID, see Obtain the Server Host Name and ID.

  10. On the Client Installation Location page, in the Client Installation Path box, enter the path on the client workstation where you want to install AutoCAD. Choose Next.

The path that you enter is the location where AutoCAD is installed when a user runs setup.exe to install to his or her workstation. AutoCAD is installed in the same location on all client workstations if you selected Client Installations Will Be Run in Silent Mode in step 6. If you don't select Client Installations Will Be Run in Silent Mode in step 6, users can enter an installation folder when they run the client installation.

  11. On the Client Setup Type page, select the type of installation that you want: Typical, Compact, Custom, or Full. Choose Next.

Typical installs the following features:

  • Program files. Executables, menus, toolbars, Help templates, TrueType® fonts, and additional support files
  • Internet tools. Support files and Volo™ View Express
  • Fonts. SHX fonts
  • Database. External database tools and support files
  • VBA Support. Microsoft Visual Basic® application support files
  • Batch Plotting. Batch plotting application and support files
  • Portable License Management. Utilities to share a single-user authorization on more than one computer (locked version only)
  • Samples. Sample drawings, images, and AutoCAD DesignCenter™ files
  • Dictionaries. American English
  • Help files. Online documentation

Compact installs only the program files, fonts, and the License Configuration Switcher (if selected). See Set Up an Advanced Network Configuration.

Custom installs only the files you select. By default, the Custom installation option installs all AutoCAD features. To install only the features you want, deselect the features you do not want installed from the Select Components dialog box.

Full installs the following features in addition to the files installed by a Typical installation:

  • Internet tools. Internet support files
  • Samples. Visual LISP™samples
  • Dictionaries. French-Canadian
  • Texture map. Maps for photorealistic rendering
  • Tutorials. Visual LISP tutorials
  12. On the Serial Number page, enter the serial number and CD key, which are located on the AutoCAD 2002 product packaging. The serial number must contain a three-digit prefix followed by an eight-digit number. The CD key is six characters. Choose Next.
  13. On the Personal Information page, enter your first name, last name, organization name, dealer name, and dealer telephone number. (The information you enter will be the same for all clients.) Choose Next.
  14. On the Configure Today page, complete the information as needed, and choose Next. For more information about using the Configure Today page, see Advertise in AutoCAD 2002.

Note: You must enter a bulletin board location in the Bulletin Board location box.

  15. The Setup Confirmation page prompts you to verify your installation selections. Choose Next to start the deployment creation.
  16. On the Setup Complete page, choose Readme to view the Readme file now. Choose Finish to complete the installation.
  17. When the client installation is complete, inform the users on your network where the setup.exe file for installing AutoCAD on a client workstation is located. See Client Installation.
  18. To set up the Autodesk License Manager and to issue AutoCAD licenses, see Configure the Server.

Topics in this section:

  • Set Up an Advanced Network Configuration
  • Use the Network Setup Log File
  • Create a Client Workstation Log
  • Use a Shared Installer Tree
  • Install Autodesk License Manager Only
Display all hidden text on this page. Comments?


Set Up an Advanced Network Configuration [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Create a Deployment Image
Set Up an Advanced Network Configuration

Use the Advanced Network Configuration page of the Network Setup wizard to select an AdLM network server, set up logs, or set up a data tree for multiple client deployments. You can select from the following options:

  • Share where NWCLIENT.LOG status file will be written. Specifies the share name for a log file that records information about all client installations.
  • Create Client Workstation Log. Specifies that a log be created on the individual client workstations.
  • Use Shared Installer Tree. Specifies a location for a shared tree. The Shared Installer DATA Tree Location box is displayed when you select this option. See Use a Shared Installer Tree.
  • Install License Configuration Switcher Components. Specifies whether to install the License Configuration Switcher files to the client workstation (locked version only). See Use the License Configuration Switcher.

You can choose one or all of the options on the Advanced Network Configuration page.


Use the Network Setup Log File [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Create a Deployment Image
Use the Network Setup Log File

The network setup log file, nwclient.log, keeps a record of all client installations. Refer to this file for status information and information about problems users may have encountered during installation (for example, low disk space or inadequate permissions). To create a more detailed log for each client workstation, see Create a Client Workstation Log.

By default, nwclient.log is stored in the Image subfolder of the deployment folder. Use the Advanced Network Configuration page of the Network Setup wizard to change the location of nwclient.log.

To use a network setup log file

  1. Run the Network Setup wizard to create a deployment folder.
  2. On the Installation Folders page, choose Advanced.
  3. On the Advanced Network Configuration page, do one of the following:
  • In the Share Where NWCLIENT.LOG Status File Will Be Written box, enter the UNC for the location where you want the log written.

Provide read/write access for the location from all client locations.

  • Choose Browse to search for and select the path. Choose OK.

Continue with the Network Setup wizard.

Note: You must share the nwclient.log file folder and provide users with write access to create a log file.

Display all hidden text on this page. Comments?


Create a Client Workstation Log [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Create a Deployment Image
Create a Client Workstation Log

The Client Workstation Log contains detailed installation information for each client. This information may be useful in diagnosing installation problems.

On the Advanced Network Configuration page of the Network Setup wizard, select Create Client Workstation Log to create a acaddeploy.log file in the Windows (or Winnt) folder on each client workstation.

To use a client workstation log

  1. Run the Network Setup wizard to create a deployment image. See Create a Deployment Image.
  2. On the Installation Folders page, choose Advanced.
  3. On the Advanced Network Configuration page, select Create Client Workstation Log.
  4. Choose OK.

Continue with the Network Setup wizard.

Display all hidden text on this page. Comments?


Use a Shared Installer Tree [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Create a Deployment Image
Use a Shared Installer Tree

With the shared installer tree, you can implement different types of installations on the same server and use some of the same deployment folder files contained in the Image folder. For example, you can configure a Typical installation and a Full installation on one server. You must run the Network Setup wizard twice to configure two types of installations.

To configure two types of installations using the shared installer tree

  1. Run the Network Setup wizard to create a deployment folder. See Create a Deployment Image.
  2. Make a note of the deployment location that you use.

The Network Setup wizard installs one deployment location containing setup.exe and the Image folder for the type of installation you choose.

  3. Run the Network Setup wizard again to select a different option that creates a different type of installation.
  4. On the Installation Folders page, in the Client Deployment Location box, enter the UNC name for the folder where you want setup.exe and the Image folder for the current installation type installed.

This version of setup.exe is the version for the current installation. The Image folder contains configuration information for the current installation only.

  5. Choose Advanced.
  6. Select Use Shared Installer Tree.
  7. In the Shared Installer DATA Tree Location box, enter the UNC name for the shared deployment location that you created the first time you ran the Network Setup wizard. You can choose Browse to search for and select the folder.

When you use the shared installer tree many of the files in the Image folder that you installed when you ran the network setup wizard the first time are used by both installation types. This saves disk space on the server.

  8. Choose OK.

The Network Setup wizard checks the files in the Image folder that you created the first time you ran the Network Setup wizard. If files that are needed for the current installation are missing in the Image folder, the Network Setup wizard prompts you to add them to the Image folder.

Continue configuring the current installation in the Network Setup Wizard.

When the second Network Setup wizard is complete, two setup.exe files exist on the server for two different types of installations. Each setup.exe exists in a separate client deployment folder. Each client deployment folder contains a separate Image folder.

The Image folder configured the first time you ran the Network Setup wizard contains all of the necessary installation files and is used by both types of installations. The Image folder configured the second time you ran the Network Setup wizard contains a small number of configuration files specific to the second installation type. The setup.exe file that the user runs determines which type of installation is performed.

Display all hidden text on this page. Comments?


Install Autodesk License Manager Only [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Create a Deployment Image
Install Autodesk License Manager Only

By selecting this installation option in the Network Setup wizard, you install only the AdLM files, its tools, or both.

To install the AdLM, its tools, or both

  1. In the Network Setup wizard, on the Network Installation Selection page, choose Autodesk License Manager Installation Only. Choose Next.
  2. On the License Manager Installation page, choose one of the following:
  • Install License Manager Files Only. Includes the license manager and vendor daemons only.
  • Install License Manager Tools Only. Includes FLEXlm tools, but no license management files.
  • Install Both License Manager Files and Tools. Includes the license manager and vendor daemons, and FLEXlm management tools.
  3. In the Location of the AutoCAD License Manager Tools box, enter the folder you want to use for the AdLM files, tools, or both.

You can accept the default folder or choose Browse to specify a different location. If you enter a path that doesn't exist, the Network Setup wizard creates a new folder using the name and location you provide.

You cannot install the AdLM files on a remote drive. When you install the AdLM files, you must provide a path to a local drive. Specify a drive letter; the Universal Naming Convention (UNC) is not supported.

  4. The Setup Confirmation page prompts you to verify your installation choices. Choose Next to start the installation or choose Back to adjust any of your selections.

On the Setup Complete page, you can choose whether you want to view the Readme file.

  5. If you want to view the Readme file, choose Finish. Otherwise, clear the check box, and then choose Finish.
Display all hidden text on this page. Comments?


Configure the License Server [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Installation
Configure the License Server

This section provides information for configuring the FLEXlm license server in the Network Setup wizard and for modifying an existing license server configuration.

There are three steps for configuring the license server:

  1. Obtain the server host name and ID
  2. Obtain and set up a license file
  3. Configure the server

Note: Configuring the license server requires a thorough understanding of the network configuration model you plan to deploy. See Network Configuration Models for additional information.


Obtain the Server Host Name and ID [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Configure the License Server
Obtain the Server Host Name and ID

To obtain the host name and ID, you must run the lmtools.exe utility found on the AutoCAD 2002 CD. You enter this information on the Server Configuration page in the Network Setup wizard.

To obtain the host name and ID

  1. In Windows Explorer, go to the \netsetup\support\AdLM folder on the AutoCAD 2002 CD and double-click lmtools.exe.
  2. Choose the Systems Settings tab.
  3. Locate the Computer/Hostname field. Write down the Server Host Name.
  4. Locate the Ethernet Address field. Write down the Host ID.

Note: If your server has more than one Ethernet adapter, select one that corresponds to a physical network adapter.

  5. Exit lmtools.exe.
  6. In the Network Setup wizard, enter this information on the Server Configuration page.
  7. Choose Next to continue.
Display all hidden text on this page. Comments?


Obtain and Set Up a License File [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Configure the License Server
Obtain and Set Up a License File

The license file identifies important licensing information, including license type and behavior, and the number of seats available for use.

To obtain a license file

  1. Obtain the following information:
  • Product serial number(s)
  • Server name
  • Host ID number
  • An email address where Autodesk can send the license file
  2. Contact the Autodesk Registration and Authorization office and provide all required information specified in the previous step. Please refer to the "Read This First" card for information about contacting the Autodesk Registration and Authorization office.

The Autodesk Registration and Authorization office will email you the license file in text format.

To set up a license file

  1. Copy the contents of the license file (from the email) to a text editor.
  2. Save the file to the \Autodesk License Manager\license folder. You can name the license file anything you like; the name must have a .lic or .dat extension.

The license file is used to configure the server. See Configure the Server.

Display all hidden text on this page. Comments?


Configure the Server [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Configure the License Server
Configure the Server

You configure the license server with the lmtools.exe utility.

To configure the license server

  1. In Windows Explorer, go to the Autodesk License Manager folder (or the netsetup\support\AdLM folder on the AutoCAD 2002 CD) and double-click lmtools.exe.
  2. On the Service/License File tab, choose the Configure Using Services option.
  3. Choose the Configure Services tab.
  4. In the Service Name drop-down list, verify that the service you want to use to manage AutoCAD 2002 licenses is selected.

If no service name exists, enter the service name you want to use to manage AutoCAD 2002 licenses.

Note: If you have more than one software vendor using FLEXlm for license management, this drop-down list will have more than one option.

  5. Enter the path to the license manager daemon (lmgrd.exe). This daemon is installed in the \Program Files\Autodesk License Manager folder.

Note: If you are using distributed servers, the location of the license manager daemon and the license file can vary depending on your configuration.

  6. Enter the path to the license file. See Obtain and Set Up a License File.
  7. Specify a path and file name for your debug log file.
  8. To run lmgrd.exe as a Windows NT or Windows 2000 service, select Use Services.

To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.

  9. Choose Save Service to save the new configuration under the service name created in step 4.
  10. Choose the Start/Stop/Reread tab.
  11. Choose Start Server to start the license server. The license server is running and ready to respond to client requests.

If there are multiple service names, you must select the Service/License File tab, choose Configure Using Services, then select the service name. For each service name, perform steps 11 and 12 to start the service.

Display all hidden text on this page. Comments?


Client Installation [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Installation
Client Installation

Depending on the selection you made on the Network Installation Selection page of the Network Setup wizard, you can install AutoCAD on their workstations or set up their workstations to run AutoCAD from the network server.

To set up AutoCAD

  1. In Windows Explorer, go to the folder on the deployment server containing the setup.exe file for installing AutoCAD.
  2. Double-click setup.exe.

If you are installing the client components to run AutoCAD from the network server, the Network Setup wizard sets up AutoCAD without prompting you for information.

If you are installing AutoCAD on a client workstation, the network administrator configured the installation program to either run in Silent or Interactive mode. Silent mode won't prompt you for any information. Interactive mode prompts you for information such as the preferred installation folder.

  3. When the installation is complete, restart your workstation.

Warning! If you do not restart your workstation, you may have problems running AutoCAD.

Display all hidden text on this page. Comments?


Uninstall AutoCAD Files on a Network [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Installation
Uninstall AutoCAD Files on a Network

When you uninstall AutoCAD, all components are removed in the process. This means that even if you've previously added or removed components, or if you've reinstalled or repaired AutoCAD, the uninstall procedure removes all files, making the uninstallation easy.

To uninstall the License Manager tools

  1. From the Start menu, choose Programs [image] Autodesk License Manager [image] Uninstall.
  2. In the Confirmation dialog box, choose Yes.
  3. Restart your computer.

To uninstall the License Manager in Windows NT 4.0 or Windows 2000

  1. Make sure no one is running a network copy of AutoCAD.
  2. Run lmtools.exe.
  3. On the Service/License File tab, choose Configure Using Services. Select the service that manages AutoCAD 2002 licenses.
  4. Choose the Stop/Reread tab.
  5. Choose Shutdown Server. Close lmtools.exe.
  6. From the Start menu, choose Settings [image] Control Panel.
  7. In the Control Panel, choose Add/Remove Programs.
  8. In the Add/Remove Programs dialog box, select ADLM and choose Add/Remove or Change for Windows 2000.
  9. Restart the computer.

To uninstall AutoCAD 2002

  1. From the Start menu (Windows), choose Settings [image] Control Panel.
  2. In the Control Panel, choose Add/Remove Programs.
  3. Do one of the following:
  • For Windows 98 and NT. In the Add/Remove Program Properties dialog box, on the Install/Uninstall tab, select AutoCAD 2002. Choose Add/Remove.
  • For Windows 2000. In the Add/Remove Programs dialog box, select AutoCAD 2002, and choose Change.
  4. In the Add/Remove Application dialog box, select Remove AutoCAD 2002, and then choose Next.
  5. In the AutoCAD 2002 Uninstall dialog box, choose Next to start the process of removing AutoCAD 2002.
  6. On the AutoCAD 2002 Setup page, after the program is uninstalled, choose Finish.
  7. If prompted, restart your computer.

Display all hidden text on this page. Comments?


Administration [AutoCAD Network Administrator's Guide: NAG]

Administration

This section includes information for maintaining an AutoCAD® installation on a network.

Topics in this section:

  • License Server Failure
  • Use the FLEXlm Configuration Tools
  • Use the License Configuration Switcher
  • Advertise in AutoCAD 2002
  • Use Configure Today
  • Protect Files on the Network


License Server Failure [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Administration
License Server Failure

If a license server fails, current sessions of AutoCAD 2002 continue to run for a period of time, but new sessions cannot be started until the server is restored.

If AutoCAD 2002 cannot continue because a license server is unavailable, the user is given the opportunity to save the drawing. A six-minute countdown period starts once the user acknowledges the loss of connection to the license server. During this time period, the user has full use of AutoCAD 2002. The user is given the opportunity to save the drawing again when four minutes are left in the countdown and then again when two minutes are left. At the end of six minutes, if the drawing has not been saved, the user is given one last opportunity to do so. Once the six-minute time period expires, all AutoCAD features are disabled. The user will only be able save their work.

Warning! If a drawing was opened from a network drive and the network drive is no longer available, AutoCAD 2002 cannot save the drawing at the end of the six-minute countdown.

To manually start the license server

  1. In Windows Explorer, go to the Program Files\Autodesk License Manager folder (or the netsetup\support\AdLM folder on the AutoCAD 2002 CD) and double-click lmtools.exe.
  2. On the Service/License File tab, choose the Configure using Services option.
  3. Select the service name for the license server you want to manually start.
  4. Choose the Start/Stop/Reread tab.
  5. Choose Start Server to start the license server.

See Also

Configure the License Server

Display all hidden text on this page. Comments?


Use the FLEXlm Configuration Tools [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Administration
Use the FLEXlm Configuration Tools

FLEXlm provides two utilities, lmtools.exe and lmutil.exe, for managing the license server. These tools are located in the Program Files\Autodesk License Manager\tools folder.

Lmtools.exe provides a Windows graphical interface for managing the license server. Lmutil.exe provides a set of command line options for managing the license server.

You can use lmtools.exe and lmutil.exe to perform the following server management tasks:

  • Start, stop, and restart the server.
  • Configure and update the license file.
  • Diagnose system or license problems.
  • View server status, including active license status.

For specific information about using FLEXlm configuration tools, see the FLEXlm documentation in the Program Files\Autodesk License Manager\docs\FlexUser folder.

Topics in this section:

  • The Options File


The Options File [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Use the FLEXlm Configuration Tools
The Options File

Another useful component of FLEXlm is the Options file. This file is created by the network administrator to set configuration options specific to the operating environment.

You can use the Options file to set parameters for the following server-related features:

  • Report Log File. Create a compressed, encrypted file that generates accurate usage reports on license activity for use by SAMreport.
  • License Server Groups. Configure license servers to work concurrently and share license pools.
  • License Timeout. Set the time after which an inactive license is reclaimed by the AutoCAD vendor daemon. This setting allows the license server to automatically releases licenses after a set period of inactivity.

For specific information about creating an Options file, see the FLEXlm documentation in the Program Files\Autodesk License Manager\docs\FlexUser folder.


Use the License Configuration Switcher [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Administration
Use the License Configuration Switcher

With the License Configuration Switcher, you can "switch" the AutoCAD configuration to use a stand-alone license from a network license, and then back again. You must have a valid stand-alone license to use the License Configuration Switcher.

In addition, the License Configuration Switcher must first be installed as part of a client deployment image. See Set Up an Advanced Network Configuration. For additional information about using the Stand-Alone License Manager, see "Use the Stand-Alone License Manager" in the online Configuration Guide.

To switch from a network to a stand-alone license

  1. Close AutoCAD, if it is currently open.
  2. In Windows Explorer, go to your AutoCAD Support folder and double-click AutoCAD 2002 License Manager Settings.
  3. Select Standalone License Manager.
  4. Enter a valid stand-alone license serial number.
  5. Choose OK.

You can now run AutoCAD without being connected to the network.

To switch from a stand-alone license to a network license

  1. Close AutoCAD, if it is currently open.
  2. Reconnect the computer to the network and verify that network resources are available.
  3. In Windows Explorer, go to your AutoCAD Support folder and double-click AutoCAD 2002 License Manager Settings.
  4. Select Network License Manager.
  5. Choose OK.

You can now run AutoCAD, obtaining a license from the network.

Display all hidden text on this page. Comments?


Advertise in AutoCAD 2002 [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Administration
Advertise in AutoCAD 2002

A network administrator can set up an installed version of AutoCAD 2002 in a central location and then make the program accessible to users on their own workstations. The administrator can add shortcuts for accessing AutoCAD on a workstation. An icon is added to each desktop, and the program name is added to the Start menu (Windows) and the Add/Remove Programs list. The process of providing access to a centralized program on workstations is called "advertising."

Advertising is supported on systems with Windows 2000, Windows 98, or Windows NT 4.0 with Microsoft Internet Explorer 4.01 (Service Pack 1) and Windows Desktop Update (Active Desktop).

To advertise AutoCAD 2002 on Windows 2000

  1. In the Network Setup wizard, do one of the following:
  • Create a client-based (thick client) deployment. See The Network Setup Wizard.
  • Create a network-based (thin client) deployment tree. See The Network Setup Wizard.
  2. From the Start menu (Windows), choose Programs [image] Accessories [image] Command Prompt.
  3. At the MS DOS command prompt, enter one of the following:
  • For a single-user deployment:

msiexec /j "\\<server>\<directory>\image\acad.msi" (where <server> and <directory> refer to the network location where the image was created)

  • For a multiple-user deployment:

msiexec /jm "\\<server>\<directory>\image\acad.msi" (where <server> and <directory> refer to the network location where the image was created)

AutoCAD is now advertised. To install AutoCAD on a workstation, the user does one of the following:

  • Double-clicks a program shortcut (in the Start menu (Windows) or on the desktop).
  • Opens a file associated with AutoCAD (for example, a DWG file).
  • Uses Add/Remove Programs.

Each access method starts the installation, and the pre-configured version of AutoCAD 2002 is installed on the workstation.

To advertise AutoCAD 2002 on Windows 98 or NT 4.0

  1. In the Network Setup wizard, do one of the following:
  • Create a client-based (thick-client) deployment. See The Network Setup Wizard.
  • Create a network-based (thin-client) deployment tree. See The Network Setup Wizard.
  2. If no Microsoft® Windows® installer package (MSI) applications have been previously installed on your system, you must install the MSI engine by doing one of the following:
  • For Windows 98. In the MSI folder on the AutoCAD 2002 CD, double-click the instmsi.exe icon. The msiexec.exe file is installed in the Windows\System folder.
  • For Windows NT. In the MSI folder on the AutoCAD 2002 CD, double-click the instmsiw.exe icon. The instmsiw.exe file is installed in the WINNT\System32 folder.
  3. Access the MS DOS command prompt in one of the following ways:
  • For Windows 98. From the Start menu, choose Programs [image] MS-DOS Prompt.
  • For Windows NT 4.0. From the Start menu, choose Programs [image] Command Prompt.
  4. At the MS DOS command prompt, enter one of the following:
  • For a single-user deployment on Windows 98:

c:\windows\system\msiexec /j "\\<server>\<directory>\image\acad.msi" (where <server> and <directory> refer to the network location where the image was created)

  • For a single-user deployment on Windows NT 4.0:

c:\winnt\system32\msiexec /j "\\<server>\<directory>\image\acad.msi" (where <server> and <directory> refer to the network location where the image was created)

  • For a multiple-user deployment on Windows 98:

c:\windows\system\msiexec /jm "\\<server>\<directory>\image\acad.msi" (where <server> and <directory> refer to the network location where the image was created)

  • For a multiple-user deployment on Windows NT 4.0:

c:\winnt\system32\msiexec /jm "\\<server>\<directory>\image\acad.msi" (where <server> and <directory> refer to the network location where the image was created)

Note: If your Windows\System folder (Windows 98) or WINNT\System32 folder (Windows NT 4.0) are not on drive C (as indicated in the paths above), at the MS DOS command prompt, you need to replace drive C with the correct drive.

AutoCAD is now advertised. To install AutoCAD on a workstation, the user does one of the following:

  • Double-clicks a program shortcut (in the Start menu or on the desktop).
  • Opens a file associated with AutoCAD (for example, a DWG file).
  • Uses Add/Remove Programs.

Each access method launches Setup, and the pre-configured version of AutoCAD 2002 is installed on the workstation.

Display all hidden text on this page. Comments?


Use Configure Today [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Administration
Use Configure Today

With the Configure Today page of the Network Setup wizard, you can control the information displayed on the Today page for users at your site. With Configure Today, you can do the following:

  • Specify a Bulletin Board location that is shared with users. This is a UNC path to a Web file (an .htm, .html, or .asp file) that Configure Today creates or updates with information based on the other settings you choose in Configure Today.
  • Prevent users from modifying the Bulletin Board location and other settings determined in Configure Today.
  • Specify whether users have access to Autodesk Point A services in the Today window, or are limited to Bulletin Board information.
  • Specify that Live Update notifications will be sent to users so you can provide patches and other services to keep their systems up to date and synchronized.

Note: For your changes to take effect, you must specify a Bulletin Board location. Also, users must set the Bulletin Board location in their Today window to indicate the file you specify.

When users launch AutoCAD, they can change the Bulletin Board path using the Edit button at the upper right corner of the Bulletin Board in the Today window. This button, and the opportunity to change the Bulletin Board UNC path, are not available if CAD Manager Control has been established over the users' installations using Configure Today.

With CAD Manager Control, you can specify for users the other services that are listed under CAD Manager Control settings. If users' Today Bulletin Board locations point to the file specified in Configure Today, they will see changes to the CAD Manager Control settings when they accept the update.

Note: Administrators can also change the CAD Manager Control settings at a later time in the Today Manager program (actodaymgr.exe), available on the AutoCAD 2002 CD.

To use Configure Today

  1. In the Network Setup wizard, on the Configure Today page, in the Bulletin Board Location box, do one of the following:
  • Enter a path to the Bulletin Board location that you will share with your users. For example:

\\servername\shared folder\filename.htm

  • Browse for the Bulletin Board location. The filename must have an .htm extension.
  2. If you want to apply CAD Manager control settings at your site, make sure the Apply CAD Manager Control to Today option is selected.

If you clear this option, you disable all of the CAD Manager Control settings.

  3. If you selected Apply CAD Manager Control to Today in the previous step, the Allow Access to Autodesk Point A Services option is available. Select this option if you want users to have access to Point A services.
  4. Select one of the following options:
  • Provide No Live Update Notification. Specifies that users are not notified of a Live Update. If Allow Access to Autodesk Point A Services is cleared, this becomes the default selection.
  • Provide Live Update Notification from Autodesk Point A. Allows users to get instant notification of Autodesk Point A services. This is the default selection.
  • Provide Notification of Local Patch List. Specifies that users are notified of local patch list availability. If you have chosen to deploy a local patch list, update notification will appear as part of the Bulletin Board text after the user clicks the Accept button.
  5. If you selected Provide Notification of Local Patch List in the previous step, by doing one of the following you can specify the name of the patch list location that users can access:
  • Choose Browse to enter a local patch location. The file must have a .txt file extension.
  • Enter a location in Local Patch List Location, in the following format:

\\servername\shared folder\filename.txt

  6. Choose OK.

The settings you selected will be available to users when they start AutoCAD 2002.

Display all hidden text on this page. Comments?


Protect Files on the Network [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Administration
Protect Files on the Network

AutoCAD uses a method of file locking to prevent users from accessing the same file at the same time. File locking performs differently depending on whether the file is a drawing file, an AutoCAD support file, or an externally referenced (xref) file.

Warning! If you are accessing a file on a network, close any open AutoCAD files before using the Automatic Power Manager (APM) Suspend option. The Suspend option causes the network connection to drop and AutoCAD file locking to be lost. This may result in lost data.

Topics in this section:

  • File Locking and Drawing Files
  • File Locking and Support Files
  • File Locking and Externally Referenced Files
  • AutoCAD 2002 and Locked Files from Previous Releases


File Locking and Drawing Files [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Protect Files on the Network
File Locking and Drawing Files

When a user has a drawing file open for editing, other users can open the drawing as read-only. No other users can edit the file.


File Locking and Support Files [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Protect Files on the Network
File Locking and Support Files

When a user has a support file open for editing, AutoCAD cannot access the file and returns the message

"drive:\path\file name": Can't open file.


File Locking and Externally Referenced Files [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Protect Files on the Network
File Locking and Externally Referenced Files

Use the Options dialog box to control whether another user can edit an xref file while a drawing that references the file is open.

For more information about using xrefs, see Using Blocks and External References in the User's Guide .

To set a file locking option on xref files

  1. From the Tools menu, choose Options, and then choose the Open and Save tab.
  2. Under Demand Load Xrefs, in the External References (Xrefs) box, select an option from the list:
  • Disabled. Turns off demand loading in the current drawing. Another user can open and edit an xref file except during the brief time that the file is being read into the current drawing.
  • Enabled. Turns on demand loading in the current drawing. No other users can edit an xref file while the current drawing is open. Other users can, however, reference the xref file.
  • Enabled with copy. Turns on demand loading in the current drawing, but an xref file can still be opened and edited by another user. AutoCAD uses a copy of the xref file and treats it as a completely separate file from the original xref.
  3. Choose OK.

Display all hidden text on this page. Comments?


AutoCAD 2002 and Locked Files from Previous Releases [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. Protect Files on the Network
AutoCAD 2002 and Locked Files from Previous Releases

If you work in an environment where some users are working with earlier versions of AutoCAD or other Autodesk applications that support the lock-file mechanism, you might see messages indicating that AutoCAD is unable to open or save a drawing. The following sections explain these messages and suggest ways to solve mixed-environment problems.

Warning! The following information assumes that file locking is turned on in the earlier versions of AutoCAD. If file locking is not turned on and two users have the same drawing open at the same time, the user who saves the drawing last overwrites the other user's changes.

Topics in this section:

  • Open Drawings
  • Save Drawings


Open Drawings [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. AutoCAD 2002 and Locked Files from Previous Releases
Open Drawings

If you attempt to open a drawing in AutoCAD Release 13 while the drawing is already open in AutoCAD 2002, you are notified that the file can't be opened, and then the file opens in Read-only mode. AutoCAD Release 13 opens the drawing.

If you attempt to open a file in AutoCAD 2002 when the file is already open in an earlier release of AutoCAD, and file locking is turned on in the earlier release, you are denied access to the drawing.


Save Drawings [AutoCAD Network Administrator's Guide: NAG]

Up a level to .. AutoCAD 2002 and Locked Files from Previous Releases
Save Drawings

If you are working in an earlier version of AutoCAD, and attempt to save a drawing that is also open in AutoCAD 2002, AutoCAD saves the drawing to a temporary file. In Release 13, the file is assigned a temporary name ending with the file name extension .ac$. In Release 12, the file is assigned a temporary name ending with the file name extension .sv$. In AutoCAD 2002, you can open, edit, and save the temporary file by renaming it with the .dwg extension.

While AutoCAD 2002 is saving a drawing, there is a very short time period during which an earlier version of AutoCAD can open the drawing. If this happens, AutoCAD 2002 switches to Read-only mode to prevent overwriting of another user's work. Use Save As to rename the AutoCAD 2002 drawing.

Warning! You might experience data loss if you use AutoCAD 2002 with earlier versions of AutoCAD on a network that doesn't support Microsoft Windows file locking. Verify that the network provides Microsoft network-compliant file locking.


Help Version Information


ANSWERWORKS

Powered by WexTech™ AnswerWorks®


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location:
Name (optional):
Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!


Query Tips

The following tips can help you get more useful results from your questions.

  • Filter your search by selecting only those documentation components that are likely to have the type of information you are looking for. Select a book or a set of books from the List of Documentation Components to Search.
  • Check your question for typographical errors. Important words may be ignored if they can't be recognized.
  • Write your query in the form of a question (How do I turn off dialog boxes?), or a phrase (turn off dialogs), or a keyword (dialogs). Each yields slightly different results.
  • Enter fewer words. Fewer words often produce better results.
    Example: maximum viewports returns a different list of topics than How do I increase the maximum displayable viewports?
  • Order your words differently. The order of words can affect your results.
    Example: maximum viewports is interpreted differently than viewports maximum.
  • Use different but similar words or terms in your question.
    Example: draw circles displays slightly different topics than create circles.
    Example: dialog boxes returns different results than dialogs.
  • Don't use punctuation characters. Use the Search tab if you need to search for terms that include any punctuation characters.
    Example: Entering file names such as acad.pat returns unreliable results.
  • Don't enter words that contain numbers.
    Example: Entering terms that include 3D returns unreliable results. You get better results if you spell out the term three dimensional.
  • Don't enter words that might be very commonly found in Help topics.
    Example: Entering drawing or line probably skews the results. Remove such words from your query or use more specific words.